# gfs_closedir

## Name

gfs_closedir -- close a directory

## Synopsis

    #include <gfarm/gfarm.h>

```char * gfs_closedir``(GFS_Dir `dir`);`

## DESCRIPTION

The `gfs_closedir()` function closes the directory stream associated with `dir`. The directory stream descriptor `dir` is not available after this call.

## RETURN VALUES

`NULL`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_opendir(3), gfs_readdir(3)